Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui.tree
Class TreeTransferHandler

    java.lang.Object
      javax.swing.TransferHandler
          ix.iface.ui.tree.TreeTransferHandler

All Implemented Interfaces:
  java.io.Serializable

    public class TreeTransferHandler

extends javax.swing.TransferHandler

DISABLED! A class that provides a TreeTransferHandler with drag and drop functionality.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.TransferHandler
`javax.swing.TransferHandler.DropLocation, javax.swing.TransferHandler.TransferSupport`

Field Summary

Fields inherited from class javax.swing.TransferHandler
`COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

Constructor Summary
`TreeTransferHandler(EditableTree source, EditableTree target, int action)`

Method Summary
`boolean` | `canPerformAction(EditableTree target, IXTreeNode dragged, int action, java.awt.Point location)` Can perform copy and move.
`boolean` | `executeDrop(EditableTree target, IXTreeNode dragged, IXTreeNode newParent, int action)`
`void` | `pasteNode(EditableTree target, IXTreeNode node, IXTreeNode newParent, boolean copy)` Pastes the node into the tree if it was copied.

Methods inherited from class javax.swing.TransferHandler
`canImport, canImport, createTransferable, exportAsDrag, exportDone, exportToClipboard, getCopyAction, getCutAction, getPasteAction, getSourceActions, getVisualRepresentation, importData, importData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeTransferHandler

    public TreeTransferHandler(EditableTree source,
                               EditableTree target,
                               int action)

Method Detail

### canPerformAction

    public boolean canPerformAction(EditableTree target,
                                    IXTreeNode dragged,
                                    int action,
                                    java.awt.Point location)

  Can perform copy and move. Exceptions: root cannot be dragged.

### executeDrop

    public boolean executeDrop(EditableTree target,
                               IXTreeNode dragged,
                               IXTreeNode newParent,
                               int action)

### pasteNode

    public void pasteNode(EditableTree target,
                          IXTreeNode node,
                          IXTreeNode newParent,
                          boolean copy)

  Pastes the node into the tree if it was copied.

  Parameters:
    `tree` - The tree.
    `node` - The node to be pasted.
    `newParent` - The new parent node.
    `copied` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD